Index: /branches/2522_RefactorPluginInfrastructure/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj
===================================================================
--- /branches/2522_RefactorPluginInfrastructure/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj	(revision 16142)
+++ /branches/2522_RefactorPluginInfrastructure/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj	(revision 16143)
@@ -1,356 +1,35 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
-    <SchemaVersion>2.0</SchemaVersion>
-    <ProjectGuid>{14AB8D24-25BC-400C-A846-4627AA945192}</ProjectGuid>
-    <OutputType>Library</OutputType>
-    <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Optimization</RootNamespace>
-    <AssemblyName>HeuristicLab.Optimization-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
-    <TargetFrameworkProfile>
-    </TargetFrameworkProfile>
-    <FileAlignment>512</FileAlignment>
+    <TargetFramework>netstandard2.0</TargetFramework>
+    <Copyright>(c) 2002-2018 HEAL</Copyright>
+    <Product>HeuristicLab</Product>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
-    <FileUpgradeFlags>
-    </FileUpgradeFlags>
-    <OldToolsVersion>3.5</OldToolsVersion>
-    <UpgradeBackupLocation />
-    <PublishUrl>publish\</PublishUrl>
-    <Install>true</Install>
-    <InstallFrom>Disk</InstallFrom>
-    <UpdateEnabled>false</UpdateEnabled>
-    <UpdateMode>Foreground</UpdateMode>
-    <UpdateInterval>7</UpdateInterval>
-    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
-    <UpdatePeriodically>false</UpdatePeriodically>
-    <UpdateRequired>false</UpdateRequired>
-    <MapFileExtensions>true</MapFileExtensions>
-    <ApplicationRevision>0</ApplicationRevision>
-    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
-    <IsWebBootstrapper>false</IsWebBootstrapper>
-    <UseApplicationTrust>false</UseApplicationTrust>
-    <BootstrapperEnabled>true</BootstrapperEnabled>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
-    <DebugSymbols>true</DebugSymbols>
-    <DebugType>full</DebugType>
-    <Optimize>false</Optimize>
-    <OutputPath>$(SolutionDir)\bin\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
-    <DebugType>pdbonly</DebugType>
-    <Optimize>true</Optimize>
-    <OutputPath>$(SolutionDir)\bin\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <ErrorReport>prompt</ErrorReport>
-    <WarningLevel>4</WarningLevel>
-    <DocumentationFile>
-    </DocumentationFile>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>$(SolutionDir)\bin\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
-    <OutputPath>$(SolutionDir)\bin\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>
-    </DocumentationFile>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x86</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
-    <DebugSymbols>true</DebugSymbols>
-    <OutputPath>$(SolutionDir)\bin\</OutputPath>
-    <DefineConstants>DEBUG;TRACE</DefineConstants>
-    <DebugType>full</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-    <Prefer32Bit>false</Prefer32Bit>
-  </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
-    <OutputPath>$(SolutionDir)\bin\</OutputPath>
-    <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>
-    </DocumentationFile>
-    <Optimize>true</Optimize>
-    <DebugType>pdbonly</DebugType>
-    <PlatformTarget>x64</PlatformTarget>
-    <ErrorReport>prompt</ErrorReport>
-    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
-    <Prefer32Bit>false</Prefer32Bit>
+    <AssemblyVersion>3.3.0.0</AssemblyVersion>
+    <AssemblyFileVersion>3.3.15.0</AssemblyFileVersion>
+    <RootNamespace>HeuristicLab.Optimization</RootNamespace>
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="System" />
-    <Reference Include="System.Core">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Drawing" />
-    <Reference Include="System.Xml.Linq">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data.DataSetExtensions">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
-    <Reference Include="System.Data" />
-    <Reference Include="System.Xml" />
+    <PackageReference Include="Microsoft.Windows.Compatibility" Version="2.0.1" />
+    <PackageReference Include="System.Drawing.Common" Version="4.5.0" />
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Algorithms\BasicAlgorithm.cs" />
-    <Compile Include="BasicProblems\BasicProblem.cs" />
-    <Compile Include="BasicProblems\Encoding.cs" />
-    <Compile Include="BasicProblems\Individuals\Individual.cs" />
-    <Compile Include="BasicProblems\Individuals\MultiEncodingIndividual.cs" />
-    <Compile Include="BasicProblems\Individuals\SingleEncodingIndividual.cs" />
-    <Compile Include="BasicProblems\Interfaces\IEncoding.cs" />
-    <Compile Include="BasicProblems\Interfaces\IEncodingOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\IMultiEncodingOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\IMultiObjectiveProblemDefinition.cs" />
-    <Compile Include="BasicProblems\Interfaces\internal\IMultiObjectiveAnalysisOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\internal\IMultiObjectiveEvaluationOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\internal\INeighborBasedOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\internal\ISingleObjectiveAnalysisOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\internal\ISingleObjectiveEvaluationOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\IProblemDefinition.cs" />
-    <Compile Include="BasicProblems\Interfaces\ISingleObjectiveMoveOperator.cs" />
-    <Compile Include="BasicProblems\Interfaces\ISingleObjectiveProblemDefinition.cs" />
-    <Compile Include="BasicProblems\MultiEncoding.cs" />
-    <Compile Include="BasicProblems\MultiObjectiveBasicProblem.cs" />
-    <Compile Include="BasicProblems\Operators\MultiEncodingCreator.cs" />
-    <Compile Include="BasicProblems\Operators\MultiEncodingCrossover.cs" />
-    <Compile Include="BasicProblems\Operators\MultiEncodingManipulator.cs" />
-    <Compile Include="BasicProblems\Operators\MultiEncodingOperator.cs" />
-    <Compile Include="BasicProblems\Operators\MultiObjectiveAnalyzer.cs" />
-    <Compile Include="BasicProblems\Operators\MultiObjectiveEvaluator.cs" />
-    <Compile Include="BasicProblems\Operators\SingleObjectiveAnalyzer.cs" />
-    <Compile Include="BasicProblems\Operators\SingleObjectiveEvaluator.cs" />
-    <Compile Include="BasicProblems\Operators\SingleObjectiveImprover.cs" />
-    <Compile Include="BasicProblems\Operators\SingleObjectiveMoveEvaluator.cs" />
-    <Compile Include="BasicProblems\Operators\SingleObjectiveMoveGenerator.cs" />
-    <Compile Include="BasicProblems\Operators\SingleObjectiveMoveMaker.cs" />
-    <Compile Include="BasicProblems\SingleObjectiveBasicProblem.cs" />
-    <Compile Include="Interfaces\ICharacteristicCalculator.cs" />
-    <Compile Include="Interfaces\ILocalImprovementAlgorithmOperator.cs" />
-    <Compile Include="Interfaces\IMultiObjectiveOperator.cs" />
-    <Compile Include="MultiObjective\DominationCalculator.cs" />
-    <Compile Include="Results\IResultParameter.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveOperator.cs" />
-    <Compile Include="Interfaces\ISingleObjectivePathRelinker.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveImprovementOperator.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveSolutionSimilarityCalculator.cs" />
-    <Compile Include="Interfaces\IImprovementOperator.cs" />
-    <Compile Include="Interfaces\IPathRelinker.cs" />
-    <Compile Include="Interfaces\ISimilarityBasedOperator.cs" />
-    <Compile Include="Interfaces\ISolutionSimilarityCalculator.cs" />
-    <Compile Include="Interfaces\ITerminationBasedOperator.cs" />
-    <Compile Include="Interfaces\ITerminator.cs" />
-    <Compile Include="MetaOptimizers\BatchRun.cs" />
-    <Compile Include="MetaOptimizers\Experiment.cs" />
-    <Compile Include="MetaOptimizers\TimeLimitRun.cs" />
-    <Compile Include="Results\ResultParameter.cs" />
-    <Compile Include="RunCollectionModification\RunCollectionRunRemover.cs" />
-    <Compile Include="Plugin.cs" />
-    <Compile Include="RunCollectionModification\RunCollectionDiscretizer.cs" />
-    <Compile Include="RunCollectionModification\RunCollectionGroupCreater.cs" />
-    <Compile Include="RunCollectionModification\RunCollectionSorter.cs" />
-    <Compile Include="RunCollectionModification\RunCollectionValueRemover.cs" />
-    <Compile Include="Interfaces\IRunCollectionModifier.cs" />
-    <Compile Include="Termination\ComparisonTerminator.cs" />
-    <Compile Include="Termination\ExecutionTimeTerminator.cs" />
-    <Compile Include="Termination\MultiTerminator.cs" />
-    <Compile Include="Termination\SingleObjectiveQualityTerminator.cs" />
-    <Compile Include="Termination\TerminationOperator.cs" />
-    <Compile Include="Termination\Terminator.cs" />
-    <Compile Include="Termination\ThresholdTerminator.cs" />
-    <None Include="Plugin.cs.frame" />
-    <Compile Include="Algorithms\Algorithm.cs" />
-    <Compile Include="RunCollectionModification\Calculator.cs" />
-    <Compile Include="Interfaces\IDiscreteDoubleMatrixModifier.cs" />
-    <Compile Include="Algorithms\HeuristicOptimizationEngineAlgorithm.cs" />
-    <Compile Include="Interfaces\ILocalImprovementOperator.cs" />
-    <Compile Include="Algorithms\HeuristicOptimizationAlgorithm.cs" />
-    <Compile Include="Interfaces\IMultiNeighborhoodShakingOperator.cs" />
-    <Compile Include="MoveHelper.cs" />
-    <Compile Include="Problems\MultiObjectiveHeuristicOptimizationProblem.cs" />
-    <Compile Include="Problems\HeuristicOptimizationProblem.cs" />
-    <Compile Include="Problems\SingleObjectiveHeuristicOptimizationProblem.cs" />
-    <Compile Include="Interfaces\IHeuristicOptimizationProblem.cs" />
-    <Compile Include="Interfaces\IMultiAnalyzer.cs" />
-    <Compile Include="Interfaces\IIterationBasedOperator.cs" />
-    <Compile Include="Interfaces\IParticleCreator.cs" />
-    <Compile Include="Interfaces\IParticleUpdater.cs" />
-    <Compile Include="Interfaces\ISwarmUpdater.cs" />
-    <Compile Include="Interfaces\ITopologyInitializer.cs" />
-    <Compile Include="Interfaces\ITopologyUpdater.cs" />
-    <Compile Include="Interfaces\IMultiObjectiveHeuristicOptimizationProblem.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveHeuristicOptimizationProblem.cs" />
-    <Compile Include="Problems\Problem.cs" />
-    <Compile Include="RunCollectionModification\RunCollectionFormulaModifer.cs" />
-    <Compile Include="RunCollectionConstraints\RunCollectionComparisonConstraint.cs" />
-    <Compile Include="RunCollectionConstraints\RunCollectionConstraintCollection.cs" />
-    <Compile Include="RunCollectionConstraints\RunCollectionContentConstraint.cs" />
-    <Compile Include="RunCollectionConstraints\RunCollectionTypeCompatiblityConstraint.cs" />
-    <Compile Include="RunCollectionConstraints\RunCollectionEqualityConstraint.cs" />
-    <Compile Include="Interfaces\IAnalyzer.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveReplacer.cs" />
-    <Compile Include="Interfaces\IMigrator.cs" />
-    <Compile Include="Interfaces\IReplacer.cs" />
-    <Compile Include="Interfaces\ISubScopesQualityComparator.cs" />
-    <Compile Include="Interfaces\IQualityComparator.cs" />
-    <Compile Include="Interfaces\ISelfAdaptiveManipulator.cs" />
-    <Compile Include="Interfaces\IStrategyParameterCrossover.cs" />
-    <Compile Include="Interfaces\IStrategyParameterManipulator.cs" />
-    <Compile Include="Interfaces\IStrategyParameterCreator.cs" />
-    <Compile Include="Interfaces\IRun.cs" />
-    <Compile Include="RunCollectionConstraints\IRunCollectionConstraint.cs" />
-    <Compile Include="OptimizerList.cs" />
-    <Compile Include="Interfaces\IOptimizer.cs" />
-    <Compile Include="RunCollection.cs" />
-    <Compile Include="Run.cs" />
-    <Compile Include="Results\IResult.cs" />
-    <Compile Include="Interfaces\IDiscreteDoubleValueModifier.cs" />
-    <Compile Include="Interfaces\IExhaustiveMoveGenerator.cs" />
-    <Compile Include="Interfaces\IMoveOperator.cs" />
-    <Compile Include="Interfaces\IMultiMoveGenerator.cs" />
-    <Compile Include="Interfaces\ISingleMoveGenerator.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveMoveEvaluator.cs" />
-    <Compile Include="Interfaces\IMoveGenerator.cs" />
-    <Compile Include="Interfaces\IMoveMaker.cs" />
-    <Compile Include="Interfaces\IMultiObjectiveSelector.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveSelector.cs" />
-    <Compile Include="Interfaces\IReducer.cs" />
-    <Compile Include="Interfaces\ISelector.cs" />
-    <Compile Include="Interfaces\IMultiObjectiveEvaluator.cs" />
-    <Compile Include="Interfaces\IAlgorithm.cs" />
-    <Compile Include="Interfaces\ICrossover.cs" />
-    <Compile Include="Interfaces\IEvaluator.cs" />
-    <Compile Include="Interfaces\IManipulator.cs" />
-    <Compile Include="Interfaces\IProblem.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveEvaluator.cs" />
-    <Compile Include="Interfaces\ISolutionCreator.cs" />
-    <Compile Include="Interfaces\IStochasticOperator.cs" />
-    <Compile Include="Interfaces\ITabuChecker.cs" />
-    <Compile Include="Interfaces\ITabuMaker.cs" />
-    <Compile Include="Results\Result.cs" />
-    <Compile Include="Algorithms\UserDefinedAlgorithm.cs" />
-    <Compile Include="Algorithms\EngineAlgorithm.cs" />
-    <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="Results\ResultCollection.cs" />
-    <Compile Include="Problems\UserDefinedProblem.cs" />
+    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj" />
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj" />
   </ItemGroup>
-  <ItemGroup>
-    <None Include="HeuristicLab.snk" />
-    <None Include="Properties\AssemblyInfo.cs.frame" />
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
-      <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
-      <Name>HeuristicLab.Collections-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
-      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
-      <Name>HeuristicLab.Common.Resources-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
-      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
-      <Name>HeuristicLab.Common-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
-      <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
-      <Name>HeuristicLab.Core-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Data\3.3\HeuristicLab.Data-3.3.csproj">
-      <Project>{BBAB9DF5-5EF3-4BA8-ADE9-B36E82114937}</Project>
-      <Name>HeuristicLab.Data-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
-      <Project>{23da7ff4-d5b8-41b6-aa96-f0561d24f3ee}</Project>
-      <Name>HeuristicLab.Operators-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Parameters\3.3\HeuristicLab.Parameters-3.3.csproj">
-      <Project>{56F9106A-079F-4C61-92F6-86A84C2D84B7}</Project>
-      <Name>HeuristicLab.Parameters-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
-      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
-      <Name>HeuristicLab.Persistence-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
-      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
-      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-  </ItemGroup>
-  <ItemGroup>
-    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
-      <Install>false</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
-      <Visible>False</Visible>
-      <ProductName>.NET Framework 3.5 SP1</ProductName>
-      <Install>true</Install>
-    </BootstrapperPackage>
-    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
-      <Visible>False</Visible>
-      <ProductName>Windows Installer 3.1</ProductName>
-      <Install>true</Install>
-    </BootstrapperPackage>
-  </ItemGroup>
-  <ItemGroup />
-  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
-  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
-       Other similar extension points exist, see Microsoft.Common.targets.
-  <Target Name="BeforeBuild">
+  <Target Name="PreBuild" BeforeTargets="PreBuildEvent">
+    <Exec Command="set Path=%Path%;$(ProjectDir);$(SolutionDir)&#xD;&#xA;set ProjectDir=$(ProjectDir)&#xD;&#xA;set SolutionDir=$(SolutionDir)&#xD;&#xA;set Outdir=$(Outdir)&#xD;&#xA;call PreBuildEvent.cmd" />
   </Target>
-  <Target Name="AfterBuild">
-  </Target>
-  -->
-  <PropertyGroup>
-    <PreBuildEvent Condition=" '$(OS)' == 'Windows_NT' ">set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
-set ProjectDir=$(ProjectDir)
-set SolutionDir=$(SolutionDir)
-set Outdir=$(Outdir)
-
-call PreBuildEvent.cmd
-</PreBuildEvent>
-    <PreBuildEvent Condition=" '$(OS)' != 'Windows_NT' ">
-export ProjectDir=$(ProjectDir)
-export SolutionDir=$(SolutionDir)
-
-$SolutionDir/PreBuildEvent.sh
-</PreBuildEvent>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
+    <OutputPath>..\..\bin\</OutputPath>
+    <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
   </PropertyGroup>
 </Project>
Index: /branches/2522_RefactorPluginInfrastructure/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj
===================================================================
--- /branches/2522_RefactorPluginInfrastructure/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 16142)
+++ /branches/2522_RefactorPluginInfrastructure/HeuristicLab.Optimizer/3.3/HeuristicLab.Optimizer-3.3.csproj	(revision 16143)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Optimizer</RootNamespace>
     <AssemblyName>HeuristicLab.Optimizer-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.7</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -107,8 +107,23 @@
     <Reference Include="Microsoft.CSharp" />
     <Reference Include="System" />
+    <Reference Include="System.ComponentModel.Composition" />
+    <Reference Include="System.Configuration" />
     <Reference Include="System.Core">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
+    <Reference Include="System.Data.OracleClient" />
+    <Reference Include="System.DirectoryServices" />
+    <Reference Include="System.DirectoryServices.AccountManagement" />
+    <Reference Include="System.DirectoryServices.Protocols" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.IdentityModel" />
+    <Reference Include="System.Management" />
+    <Reference Include="System.Net" />
+    <Reference Include="System.Runtime.Caching" />
+    <Reference Include="System.Runtime.Serialization" />
+    <Reference Include="System.Security" />
+    <Reference Include="System.ServiceModel" />
+    <Reference Include="System.ServiceProcess" />
+    <Reference Include="System.Transactions" />
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml.Linq">
@@ -120,4 +135,5 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Xml" />
+    <Reference Include="WindowsBase" />
   </ItemGroup>
   <ItemGroup>
@@ -367,4 +383,126 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <PackageReference Include="Microsoft.Win32.Registry">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="Microsoft.Win32.Registry.AccessControl">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="Microsoft.Win32.SystemEvents">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="Microsoft.Windows.Compatibility">
+      <Version>2.0.1</Version>
+    </PackageReference>
+    <PackageReference Include="System.CodeDom">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.ComponentModel.Composition">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Configuration.ConfigurationManager">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Data.DataSetExtensions">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Data.Odbc">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Data.SqlClient">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Diagnostics.EventLog">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Diagnostics.PerformanceCounter">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.DirectoryServices">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.DirectoryServices.AccountManagement">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.DirectoryServices.Protocols">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Drawing.Common">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.IO.FileSystem.AccessControl">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.IO.FileSystem.Primitives">
+      <Version>4.3.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.IO.Packaging">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.IO.Pipes.AccessControl">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.IO.Ports">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Management">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Runtime.Caching">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Runtime.CompilerServices.Unsafe">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.AccessControl">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.Cryptography.Cng">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.Cryptography.Pkcs">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.Cryptography.ProtectedData">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.Cryptography.Xml">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.Permissions">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Security.Principal.Windows">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceModel.Duplex">
+      <Version>4.4.1</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceModel.Http">
+      <Version>4.4.1</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceModel.NetTcp">
+      <Version>4.4.1</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceModel.Primitives">
+      <Version>4.4.1</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceModel.Security">
+      <Version>4.4.1</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceModel.Syndication">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.ServiceProcess.ServiceController">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Text.Encoding.CodePages">
+      <Version>4.5.0</Version>
+    </PackageReference>
+    <PackageReference Include="System.Threading.AccessControl">
+      <Version>4.5.0</Version>
+    </PackageReference>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
